#ifndef LANEKEEPING_H
#define LANEKEEPING_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>

#include "car/laneDataMsg.h"
#include "car/camDataMsg.h"

namespace car
{
	class Lanekeeping : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			Lanekeeping(ros::NodeHandle &nh, std::string &name);
			Lanekeeping();
			~Lanekeeping();
		private:
			ros::NodeHandle nh_;
			std::string name_;
      
			ros::Publisher laneData;
      ros::Subscriber camData;

      void camDataCallback(const camDataMsg::ConstPtr& inMsg);
	};
}
#endif
